## org.apache.bcel.classfile
Class ConstantClass

    java.lang.Object
      org.apache.bcel.classfile.Constant
          org.apache.bcel.classfile.ConstantClass

All Implemented Interfaces:
  Serializable, Cloneable, ConstantObject, Node

    public final class ConstantClass

extends Constant
implements ConstantObject

This class is derived from the abstract Constant class and represents a reference to a (external) class.

Version:
  $Id: ConstantClass.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantClass(ConstantClass c)` Initialize from another object.
`ConstantClass(int name_index)`

Method Summary
`void` `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`void` `dump(DataOutputStream file)` Dump constant class to file stream in binary format.
`String` `getBytes(ConstantPool cp)`
`Object` `getConstantValue(ConstantPool cp)`
`int` `getNameIndex()`
`void` `setNameIndex(int name_index)`
`String` `toString()`

Methods inherited from class org.apache.bcel.classfile.Constant
`clone, copy, equals, getComparator, getTag, hashCode, setComparator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantClass

    public ConstantClass(ConstantClass c)

  Initialize from another object.

### ConstantClass

    public ConstantClass(int name_index)

Parameters:
  `name_index` - Name index in constant pool. Should refer to a ConstantUtf8.

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Constant`
  Parameters:
    `v` - Visitor object

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Dump constant class to file stream in binary format.

  Specified by:
    `dump` in class `Constant`
  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

### getNameIndex

    public final int getNameIndex()

  Returns:
    Name index in constant pool of class name.

### setNameIndex

    public final void setNameIndex(int name_index)

  Parameters:
    `name_index` - the name index in the constant pool of this Constant Class

### getConstantValue

    public Object getConstantValue(ConstantPool cp)

  Specified by:
    `getConstantValue` in interface `ConstantObject`
  Returns:
    String object

### getBytes

    public String getBytes(ConstantPool cp)

  Returns:
    dereferenced string

### toString

    public final String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation.

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.